/* 
    Table of content
    1. TEXT & CTA BLOCKS
    2. TITLE & TEXT
    3. TEXT & IMAGE
    4. VIDEO
    5. TEXT & CTA
    6. FAQS
    7. CALCULATOR
    8. TEXT & FORM
    9. TEXT
    10. FORM
*/

/* 1. TEXT & CTA BLOCKS */
.content-text-cta-blocks {
    position: relative;
}

.content-text-cta-blocks::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(../images/logo-badge-white.svg);
    background-size: contain;
    background-position: -20rem center;
    background-repeat: no-repeat;
    opacity: .0125;
}

.content-text-cta-blocks.cta-portrait::before {
    display: none;
}

.content-text-cta-blocks .container {
    position: relative;
    z-index: 1;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    grid-gap: 10rem;
}

.content-text-cta-blocks.cta-portrait .content-wrapper {
    order: 2;
}

.content-text-cta-blocks .content {
    max-width: calc((var(--grid-size-lg) / 2) - 5rem);
    margin-left: auto;
    padding: 0 5rem 0 0;
}

.content-text-cta-blocks.cta-portrait .content {
    max-width: calc((var(--grid-size-lg) / 2) - 10rem);
    padding: 0 0 0 5rem;
}

.content-text-cta-blocks.cta-portrait .cta-blocks-wrapper {
    order: 1;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 3rem;
}

.content-text-cta-blocks .cta-1-wrapper,
.content-text-cta-blocks .cta-2-wrapper {
    position: relative;
    width: 100%;
    height: 0;
    padding-top: 66.67%;
    border-radius: 1rem;
    background-color: var(--color-blue);
    background-size: cover;
    background-position: center;
    font-size: 1.6rem;
    overflow: hidden;
}

.content-text-cta-blocks .cta-2-wrapper {
    padding-top: 56.25%;
}

.content-text-cta-blocks.cta-portrait .cta-1-wrapper,
.content-text-cta-blocks.cta-portrait .cta-2-wrapper {
    padding-top: 150%;
}

.content-text-cta-blocks .cta-1-content,
.content-text-cta-blocks .cta-2-content {
    position: absolute;
    right: 2.5rem;
    width: 100%;
    padding: 2.5rem;
    border-radius: 1rem;
}

.content-text-cta-blocks .cta-1-content {    
    top: 2.5rem;
    max-width: 30rem;
    height: calc(100% - 5rem);    
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.content-text-cta-blocks.cta-portrait .cta-1-content {
    top: 2.5rem;
    max-width: calc(100% - 5rem);
    height: auto;
    padding: 2rem;
}

.content-text-cta-blocks:not(.cta-portrait) .cta-2-wrapper {
    margin-top: 3rem;
}

.content-text-cta-blocks .cta-2-content {
    bottom: 2.5rem;
    max-width: 40rem;
}

.content-text-cta-blocks.cta-portrait .cta-2-content {
    max-width: calc(100% - 5rem);
    height: auto;
    padding: 2.5rem;
}

.content-text-cta-blocks.cta-portrait .number {
    display: none;
}

.content-text-cta-blocks:not(.cta-portrait) .cta-1-content h3,
.content-text-cta-blocks:not(.cta-portrait) .cta-1-content .faux-h3 {
    margin-bottom: 1rem;
}

.content-text-cta-blocks .cta-1-content .text {
    margin-bottom: 2rem;
}

.content-text-cta-blocks .cta-1-content .btn,
.content-text-cta-blocks .cta-2-content .btn {
    margin: 0;
}

/* 2. TITLE & TEXT */
.content-title-text .container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 30rem;
}

.content-title-text .title-wrapper {
    position: relative;
}

.content-title-text .label {
    position: absolute;
    top: -2.25rem;
}

.content-title-text h1,
.content-title-text h2,
.content-title-text h3 {
    margin-bottom: 0;
}

/* 3. TEXT & IMAGE */
.content-text-image .container {
    display: grid;
    grid-template-columns: 2fr 3fr;
    align-items: center;
    grid-gap: 10rem;
}

.content-text-image .container.image-ratio-169.flip {
    grid-template-columns: 3fr 2fr;
}

.content-text-image .container.image-ratio-43 {
    grid-template-columns: 1fr 1fr;
}

.content-text-image .content-wrapper {
    max-width: calc(100% - 10rem);
}

.content-text-image .container.image-ratio-43:not(.flip) .content-wrapper {
    max-width: calc(100% - 5rem);
}

.content-text-image .container.image-ratio-169:not(.flip) .content-wrapper,
.content-text-image .container.image-ratio-43.flip .content-wrapper {
    margin-left: auto;
}

.content-text-image .container.flip .content-wrapper {
    order: 2;
}

.content-text-image .grid {
    margin-top: 4rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 3rem;
    font-size: 1.6rem;
}

.content-text-image .image-wrapper {
    position: relative;
    width: 100%;
    height: 0;
    padding-top: 56.25%;
    border-radius: 1rem;
    background-color: var(--color-blue);
    overflow: hidden;
}

.content-text-image .container.image-ratio-43 .image-wrapper {
    padding-top: 75%;
}

.content-text-image .container.flip .image-wrapper {
    order: 1;
}

.content-text-image .image-wrapper img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.content-text-image .image-wrapper .btn {
    position: absolute;
    z-index: 1;
    bottom: 2.5rem;
    left: 2.5rem;
}

/* 4. VIDEO */
.content-video .video-wrapper {
    position: relative;
    width: 100%;
    height: 0;
    padding-top: 56.25%;
    border-radius: 1rem;
    overflow: hidden;
}

.content-video .video-wrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.content-video .text-wrapper {
    margin-top: 1.5rem;
    font-size: 1.6rem;
    font-style: italic;
}

/* 5. TEXT & CTA */
.content-text-cta .container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 10rem;
}

.content-text-cta .cta {
    padding: 2.5rem;
    border-radius: 1rem;
    font-size: 1.6rem;
}

.content-text-cta .cta h3,
.content-text-cta .cta .faux-h3 {
    margin-bottom: 1rem;
}

.content-text-cta .cta .btn {
    margin-top: 2rem;
}

/* 6. FAQS */
.content-faqs .container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 10rem;
}

.content-faqs .content-wrapper {
    max-width: 50rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 3rem;
}

.content-faqs .cta-wrapper {
    max-width: 30rem;
    padding: 2.5rem;
    border-radius: 1rem;
}

.content-faqs .cta-wrapper h3,
.content-faqs .cta-wrapper .faux-h3 {
    margin: 0;
}

.content-faqs .cta-wrapper .btn {
    margin-top: 2rem;
}

.content-faqs .item {
    padding: 2.5rem;
    border-radius: 1rem;
}

.content-faqs .item:not(:first-child) {
    margin-top: 2rem;
}

.content-faqs .item .faux-h4 {
    position: relative;
    margin: 0;
    padding-right: 3.5rem;
    cursor: pointer;
}

.content-faqs .item .faux-h4::before {
    content: '\2b';
    position: absolute;
    top: .2rem;
    right: 0;    
    width: 2.4rem;
    height: 2.4rem;
    margin-bottom: 1rem;
    border-radius: .3rem;
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;    
    font-family: 'Font Awesome 6 Pro';
    font-size: 1.2rem;
    font-weight: 700;
    color: var(--color-darkerblue);
}

.content-faqs .item.active .faux-h4::before {
    content: '\f068';
}

.content-faqs .item .text {
    padding-top: 1rem;
    font-size: 1.6rem;
    display: none;
}

/* 7. CALCULATOR */
.content-calculator .content-wrapper {
    text-align: center;
}

.content-calculator .feed-wrapper {
    margin-top: 4rem;
    text-align: center;
}

/* 8. TEXT & FORM */
.content-text-form .container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 10rem;
}

.content-text-form .content-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.content-text-form .content {
    max-width: 50rem;
}

.content-text-form .cta-wrapper {
    position: relative;
    width: 100%;
    height: 0;
    margin-top: 4rem;
    padding-top: 75%;
    border-radius: 1rem;
    background-size: cover;
    background-position: center;
    overflow: hidden;
}

.content-text-form .cta {
    position: absolute;
    bottom: 2.5rem;
    left: 2.5rem;
    max-width: 30rem;
    padding: 2.5rem;
    border-radius: 1rem;
}

.content-text-form .cta .btn {
    margin-top: 2rem;
}

.content-text-form .cta .btn:hover {
    border-color: var(--color-darkblue);
    background-color: var(--color-darkblue);
    color: white;
}

.content-text-form .cta .btn:hover::after {
    background-color: white;
    color: var(--color-darkerblue);
}

/* 10. FORM */
.content-form .content-wrapper {
    text-align: center;
}

.content-text-form .cta-wrapper h3,
.content-text-form .cta-wrapper .faux-h3 {
    margin-bottom: 1rem;
}

.content-form .form-wrapper {
    margin-top: 4rem;
}

/* RESIZE */
@media (max-width: 1280px) {
    /* 1. TEXT & CTA BLOCKS */
    .content-text-cta-blocks .container {
        grid-template-columns: 3fr 5fr;
    }

    .content-text-cta-blocks.cta-portrait .container {
        grid-template-columns: 5fr 3fr;
    }

    .content-text-cta-blocks .content,
    .content-text-cta-blocks.cta-portrait .content {
        max-width: inherit;
        padding: inherit;
    }

    /* 2. TITLE & TEXT */
    .content-title-text .container {
        grid-gap: 10rem;
    }

    /* 3. TEXT & IMAGE */
    .content-text-image .container,
    .content-text-image .container.image-ratio-169.flip {
        grid-template-columns: 1fr 1fr;
    }

    .content-text-image .content-wrapper {
        max-width: inherit;
    }

    .content-text-image .image-wrapper {
        padding-top: 75%;
    }
}

@media (max-width: 1100px) {
    /* 1. TEXT & CTA BLOCKS */
    .content-text-cta-blocks.cta-portrait .cta-blocks-wrapper {
        grid-gap: 2rem;
    }

    .content-text-cta-blocks:not(.cta-portrait) .cta-1-content {
        top: inherit;
        bottom: 2.5rem;       
        max-width: 40rem;
        height: auto;
    }

    .content-text-cta-blocks:not(.cta-portrait) .cta-2-wrapper {
        margin-top: 2rem;
    }

    /* 3. TEXT & IMAGE */
    .content-text-image .grid {
        margin-top: 3rem;
        grid-template-columns: 1fr;
        gap: 2rem;
    }

    /* 6. FAQS */
    .content-faqs .item:not(:first-child) {
        margin-top: 1rem;
    }

    /* 7. CALCULATOR */
    .content-calculator .feed-wrapper {
        margin-top: 3rem;
    }
}

@media (max-width: 1024px) {
    /* 1. TEXT & CTA BLOCKS */
    .content-text-cta-blocks .container {
        grid-gap: 8rem;
    }

    .content-text-cta-blocks .cta-1-content,
    .content-text-cta-blocks .cta-2-content {
        right: 2rem;
        padding: 2rem;
    }

    .content-text-cta-blocks:not(.cta-portrait) .cta-1-content {    
        bottom: 2rem;
    }

    .content-text-cta-blocks.cta-portrait .cta-1-content {
        top: 2rem;
        max-width: calc(100% - 4rem);
        padding: 2rem;
    }

    .content-text-cta-blocks .cta-2-content {
        bottom: 2rem;
    }

    .content-text-cta-blocks.cta-portrait .cta-2-content {
        max-width: calc(100% - 4rem);
        padding: 2rem;
    }

    /* 2. TITLE & TEXT */
    .content-title-text .container {
        grid-gap: 8rem;
    }

    /* 3. TEXT & IMAGE */
    .content-text-image .container {
        grid-gap: 8rem;
    }

    .content-text-image .image-wrapper .btn {
        bottom: 2rem;
        left: 2rem;
    }

    /* 5. TEXT & CTA */
    .content-text-cta .container {
        grid-gap: 8rem;
    }

    .content-text-cta .cta {
        padding: 2rem;
    }

    /* 6. FAQS */
    .content-faqs .container {
        grid-gap: 8rem;
    }

    .content-faqs .cta-wrapper {
        padding: 2rem;
    }

    .content-faqs .item {
        padding: 2rem;
    }

    /* 8. TEXT & FORM */
    .content-text-form .container {
        grid-gap: 8rem;
    }

    .content-text-form .cta-wrapper {
        padding-top: 100%;
    }

    .content-text-form .cta {
        bottom: 2rem;
        left: 2rem;
        padding: 2rem;
    }
}

@media (max-width: 899px) {
    /* 1. TEXT & CTA BLOCKS */
    .content-text-cta-blocks .container {
        grid-template-columns: 1fr;
        grid-gap: 4rem;
    }

    .content-text-cta-blocks.cta-portrait .container {
        grid-template-columns: 1fr;
    }

    .content-text-cta-blocks .content-wrapper {
        order: 2;
    }

    .content-text-cta-blocks .cta-blocks-wrapper {
        order: 1;
    }

    .content-text-cta-blocks .cta-1-wrapper {
        padding-top: 56.25%;
    }

    /* 2. TITLE & TEXT */
    .content-title-text .container {
        grid-gap: 6rem;
    }

    /* 3. TEXT & IMAGE */
    .content-text-image .container {
        grid-gap: 6rem;
    }

    /* 5. TEXT & CTA */
    .content-text-cta .container {
        grid-gap: 6rem;
    }

    /* 6. FAQS */
    .content-faqs .container {
        grid-gap: 6rem;
    }

    /* 8. TEXT & FORM */
    .content-text-form .container {
        grid-gap: 6rem;
    }

    .content-text-form .cta {
        width: calc(100% - 4rem);
        max-width: inherit;
    }
}

@media (max-width: 767px) {
    /* 1. TEXT & CTA BLOCKS */
    .content-text-cta-blocks .cta-1-wrapper {
        padding-top: 66.67%;
    }

    .content-text-cta-blocks .cta-2-wrapper {
        padding-top: 66.67%;
    }
    
    .content-text-cta-blocks:not(.cta-portrait) .cta-1-content,
    .content-text-cta-blocks .cta-2-content {
        width: calc(100% - 4rem);
        max-width: inherit;
    }

    /* 2. TITLE & TEXT */
    .content-title-text .container {
        grid-template-columns: 1fr;
        grid-gap: 2rem;
    }

    .content-title-text .label {
        position: relative;
        top: inherit;
    }

    /* 3. TEXT & IMAGE */
    .content-text-image .container,
    .content-text-image .container.image-ratio-169.flip,
    .content-text-image .container.image-ratio-43 {
        grid-template-columns: 1fr;
        grid-gap: 4rem;
    }

    .content-text-image .container .content-wrapper {
        order: 2;
    }

    .content-text-image .image-wrapper,
    .content-text-image .container.image-ratio-43 .image-wrapper {
        padding-top: 56.25%;
    }

    .content-text-image .container .image-wrapper {
        order: 1;
    }

    /* 5. TEXT & CTA */
    .content-text-cta .container {
        grid-template-columns: 1fr;
        grid-gap: 3rem;
    }

    /* 6. FAQS */
    .content-faqs .container {
        grid-template-columns: 1fr;
        grid-gap: 4rem;
    }

    /* 8. TEXT & FORM */
    .content-text-form .container {
        grid-template-columns: 1fr;
        grid-gap: 4rem;
    }
}

@media (max-width: 599px) {
    /* 1. TEXT & CTA BLOCKS */
    .content-text-cta-blocks .cta-1-wrapper {
        padding-top: 75%;
    }
}

@media (max-width: 499px) {
    /* 1. TEXT & CTA BLOCKS */
    .content-text-cta-blocks.cta-portrait .cta-blocks-wrapper {
        grid-template-columns: 1fr;
    }

    .content-text-cta-blocks .cta-1-wrapper {
        padding-top: 125%;
    }

    .content-text-cta-blocks .cta-2-wrapper {
        padding-top: 100%;
    }

    /* 3. TEXT & IMAGE */
    .content-text-image .image-wrapper, 
    .content-text-image .container.image-ratio-43 .image-wrapper {
        padding-top: 66.67%;
    }
}